
Infrastructure - Task #1890

Story # 1888 (Closed): Arrange to publish java artifacts to Maven central

Comply with Maven Central requirements for publishing artifacts

2011-10-24 21:51 - Matthew Jones

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Project POM has the following elements.

If the project packaging is jar, and the jar file contains java classes, there must be a -javadoc.jar for main artifact.

If the project packaging is jar, and the jar file contains java classes, there must be a -sources.jar for main artifact.

All project artifacts are signed using GPG, and the public key is distributed to hkp://pool.sks-keyservers.net/. For more information,

please refer to How To Generate PGP Signatures With Maven.

See 

https://docs.sonatype.org/display/Repository/Sonatype+OSS+Maven+Repository+Usage+Guide#SonatypeOSSMavenRepositoryUs

ageGuide-6.CentralSyncRequirement

History

#1 - 2011-10-24 21:57 - Matthew Jones

- Subject changed from Change pom files to comply with guidelines to Comply with Maven Central requirements for publishing artifacts

#2 - 2011-10-27 21:39 - Matthew Jones

- Milestone changed from CCI-0.6.4 to CCI-1.0.0
